[GRASS-SVN] r36225 - in grass/branches/develbranch_6/mswindows: . osgeo4w

svn_grass at osgeo.org svn_grass at osgeo.org
Fri Mar 6 19:17:51 EST 2009


Author: martinl
Date: 2009-03-06 19:17:51 -0500 (Fri, 06 Mar 2009)
New Revision: 36225

Added:
   grass/branches/develbranch_6/mswindows/osgeo4w/
   grass/branches/develbranch_6/mswindows/osgeo4w/package.cmd
   grass/branches/develbranch_6/mswindows/osgeo4w/package.sh
Log:
initial version of osgeo4w support scripts added (by jef) - trac #519


Added: grass/branches/develbranch_6/mswindows/osgeo4w/package.cmd
===================================================================
--- grass/branches/develbranch_6/mswindows/osgeo4w/package.cmd	                        (rev 0)
+++ grass/branches/develbranch_6/mswindows/osgeo4w/package.cmd	2009-03-07 00:17:51 UTC (rev 36225)
@@ -0,0 +1,38 @@
+path %PATH%;%OSGEO4W_ROOT%\apps\swig
+set WXWIN=h:\windows\wxPython-src-2.8.9.1
+
+set GRASS_HOME=%OSGEO4W_ROOT%\apps\grass\grass-6.4.0RC3
+set GRASS_INC=%GRASS_HOME%\include
+set GRASS_LPATH=%GRASS_HOME%\lib
+
+set WX_INC=%WXWIN%\lib\vc_dll\mswud;%WXWIN%\lib\vc_dll\mswu;%WXWIN%\include
+set WXPY_INC=%WXWIN%\wxPython\include 
+set WX_LPATH=%OSGEO4W_ROOT%\lib;%WXWIN%\lib\vc_dll
+
+set OLD=%CD%
+cd %OLD%\gui\wxpython\nviz
+python setup.py build_ext -I %OSGEO4W_ROOT%\include;%GRASS_INC%;%WX_INC% -L %GRASS_LPATH%
+copy grass6_wxnviz.py                       %GRASS_HOME%\etc\wxpython\nviz
+copy build\lib.win32-2.5\_grass6_wxnviz.pyd %GRASS_HOME%\etc\wxpython\nviz
+if exist build\lib.win32-2.5\_grass6_wxnviz.pdb copy build\lib.win32-2.5\_grass6_wxnviz.pdb %GRASS_HOME%\etc\wxpython\nviz
+
+cd %OLD%\gui\wxpython\vdigit
+python setup.py build_ext -D WXUSINGDLL -I %OSGEO4W_ROOT%\include;%GRASS_INC%;%WX_INC%;%WXPY_INC% -L %GRASS_LPATH%;%WX_LPATH%
+copy grass6_wxvdigit.py                       %GRASS_HOME%\etc\wxpython\vdigit
+copy build\lib.win32-2.5\_grass6_wxvdigit.pyd %GRASS_HOME%\etc\wxpython\vdigit
+if exist build\lib.win32-2.5\_grass6_wxvdigit.pdb copy build\lib.win32-2.5\_grass6_wxvdigit.pdb %GRASS_HOME%\etc\wxpython\vdigit
+
+goto skip
+
+cd %OLD%\swig\python
+python setup.py build_ext -I %GRASS_INC%;%OSGEO4W_ROOT%\include -L %OSGEO4W_ROOT%\lib;%GRASS_LPATH%
+copy grass6_wxvdigit.py %GRASS_HOME%\etc\wxpython\
+copy build\lib.win32-2.5\_grass6_wxvdigit.pyd %GRASS_HOME%\etc\wxpython\vdigit
+
+cd %OLD%\swig\python\NumPtr
+python setup.py build_ext
+
+
+:skip
+
+cd %OLD%

Added: grass/branches/develbranch_6/mswindows/osgeo4w/package.sh
===================================================================
--- grass/branches/develbranch_6/mswindows/osgeo4w/package.sh	                        (rev 0)
+++ grass/branches/develbranch_6/mswindows/osgeo4w/package.sh	2009-03-07 00:17:51 UTC (rev 36225)
@@ -0,0 +1,50 @@
+set -e
+
+(
+echo
+echo
+echo
+
+if ! [ -f configure-stamp ]; then
+	echo $(date): STARTING configure
+
+	./configure \
+		--with-libs="/c/OSGeo4W/lib /c/MinGW/lib" \
+		--with-includes="/c/OSGeo4W/include /c/MinGW/include" \
+		--exec-prefix=/c/OSGeo4W/bin \
+		--libexecdir=/c/OSGeo4W/bin \
+		--prefix=/c/OSGeo4W/apps/grass \
+		--includedir=/c/OSGeo4W/include \
+		--disable-x --without-x \
+		--with-cxx \
+		--enable-shared \
+		--enable-largefile \
+		--with-opengl=windows \
+		--with-fftw \
+		--with-freetype \
+		--with-proj-share=/c/OSGeo4W/share/proj \
+		--with-gdal=/C/OSGeo4W/bin/gdal-config \
+		--with-tcltk \
+		--with-sqlite \
+		--with-postgres \
+		--with-curses \
+		--with-regex \
+		--with-nls \
+		--without-swig \
+		--with-freetype-includes=/c/OSGeo4W/include/freetype2
+
+	echo $(date): STARTING make clean
+	make clean
+
+	touch configure-stamp
+fi
+
+
+echo $(date): STARTING make
+make || make
+
+echo $(date): STARTING make install
+make install
+echo $(date): END
+
+) | tee -a package.log


Property changes on: grass/branches/develbranch_6/mswindows/osgeo4w/package.sh
___________________________________________________________________
Name: svn:mime-type
   + text/x-sh
Name: svn:keywords
   + Author Date Id
Name: svn:eol-style
   + native



More information about the grass-commit mailing list